"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.vitePluginAbell = void 0;
const path_1 = __importDefault(require("path"));
const compiler_1 = require("./compiler");
const fileRegex = /\.abell$/;
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
function vitePluginAbell() {
    return {
        name: 'transform-file',
        transform(src, id) {
            if (fileRegex.test(id)) {
                const filename = path_1.default.relative(process.cwd(), id);
                const code = compiler_1.compile(src, filename);
                return {
                    code,
                    map: null // provide source map if available
                };
            }
        }
    };
}
exports.vitePluginAbell = vitePluginAbell;
